# Class BinaryHandler

java.lang.Object
uk.ac.starlink.ttools.votlint.ElementHandler
uk.ac.starlink.ttools.votlint.StreamingHandler
uk.ac.starlink.ttools.votlint.BinaryHandler

public class BinaryHandler extends StreamingHandler
Element handler for BINARY elements.

Since:
  8 Apr 2005
Author:
  Mark Taylor (Starlink)

## Constructor Summary

Constructors
Constructor
Description
`BinaryHandler(boolean isBinary2)`

## Method Summary

Modifier and Type
Method
Description
`void`
`feed(InputStream in)`
Consumes a decoded input stream containing the data of a table, encoded according to the rules specified by this element.

### Methods inherited from class StreamingHandler

`foundRow, getFields, startElement`

### Methods inherited from class ElementHandler

`characters, configure, endElement, error, getAncestry, getAttribute, getContext, getName, getRef, info, registerChildName, setAncestry, setAttributes, toString, warning`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BinaryHandler

public BinaryHandler(boolean isBinary2)

## Method Details

### feed

public void feed(InputStream in) throws IOException
Description copied from class: `StreamingHandler`
Consumes a decoded input stream containing the data of a table, encoded according to the rules specified by this element.

Specified by:
  `feed` in class `StreamingHandler`
Parameters:
  `in` - input stream to read
Throws:
  `IOException`